Introduction

The Spider Writer Find in Files application is used to search through files in a local directory tree for specified text. You can also choose to replace found text with other specified text. This application's features are similar to the Find/Replace dialog in Spider Writer however instead of searching through open documents in Spider Writer, you are searching through documents in a specified directory tree.

The application has only two steps: Setup and Results.

Contacting the Spider Writer Support Staff

The creators of Spider Writer have worked hard to provide a very complete editing system to meet the needs of today's web developers. If you have any comments or suggestions about this software, please send them to suggestions@spiderwriter.com. Your input is greatly appreciated.

For support-related issues, write our support staff at support@spiderwriter.com.

For more information about the Spider Writer suite or for the latest updates, visit our web site at http://www.spiderwriter.com. Thank you for your support!

Application Requirements

  • Spider Writer Find in Files requires Internet Explorer 5.0 or higher to run.

Legal Notices

Spider Writer is a trademark of Actipro Software LLC and is protected by copyright laws.


Setup

The Setup step is the first step that appear when you start the Find in Files application. This step allows you to configure the search to perform.

File Extensions to Search

This textbox allows you to indicate the list of file extensions to search. Enter each file extension in the form: *.ext; where ext is a file extension. The Reset button resets the list to the Spider Writer defaults.

Root Path to Search

In this textbox you enter the root path to search within. This path must exist on your local hard drive or on a network share. The Browse button displays the Browse for a Folder dialog box, allowing you to visually select a path.

Options

There are several options you can set for the search:

  • Replace - Replace any found text with the specified replace text (a Replace textbox appears when you check this option)
  • Search Subdirectories - Searching should recurse through subdirectories of the root path
  • Whole Word - Only match whole words
  • Match Case - Make the search case sensitive
  • Use Pattern Matching - Use regular expressions for searching

Find Text

Specify the text to search for in this textbox. The text may contain multiple lines.

Replace Text

In this textbox, specify the text with which to replace the find text. The text may contain multiple lines. This textbox is only visible if the Replace option is set.

Command Buttons

There are several command buttons at the bottom of the window:

  • Help - Displays this help file
  • Find in Files Now - Starts the search operation and changes to the Results step
  • Exit - Exits the application


Results

The Results step is the step that appears when you start a find operation. This step displays the search results and allows you to instantly open a result document in Spider Writer.

Settings and Statistics

This part of the window diplays settings and statistics information:

  • Search Path - The root path being searched
  • Current Search File - The current file that is being searched
  • Status - Indicates whether the application is still searching or done searching
  • Total Results - The total amount of results found thus far

Results

The Results list displays the each file in which the search text was found. Results found in the same file are grouped together.

Initially, only file headers are displayed. These headers show the file name where search text was found and how many results were in that file. If a title tag block was found within the document, the title of the document will also be displayed. Click on the file name in the header to open the document in Spider Writer.

To show each result in detail, click on the plus sign next to the file name. This expands out the result list for that file. To collapse the detail list, click on the minus sign that now appears next to the file name. Each detail item in the list displays exactly what was matched and indicates the position at which the match was found. If a find operation (non-replace) was performed, click on a match detail item to open the document in Spider Writer and jump right to the match.

Command Buttons

There are several command buttons at the bottom of the window:

  • Help - Displays this help file
  • New Search - Changes to the Setup step
  • Expand All - Expands all nodes in the Results list
  • Collapse All - Collapses all nodes in the Results list
  • Make Report - Copies a text report of the search results to the clipboard for pasting into any text-editing application
  • Stop - Stops the current search
  • Exit - Exits the application


Pattern Matching

Pattern matching makes use of regular expressions to specify text by its characteristics rather than by its exact characters. A regular expression is composed of a sequence of sub-expressions. Each sub-expression must be in the form in the operators table displayed below. Entire expressions can be preceeded by a ^ character to indicate that the expression is only matched at the start of a line, or ended by a $ character to indicate that the expression can only exist at the end of a line.

Pattern matching examples:

Expression | Matches | Does Not Match
"one"|"two" | one | ONE
 | two | TWO
\d(3)\.\d(2) | 123.45 | 12.45
 | 001.23 | 1.23
[a-zA-Z]\w* | Word | 2Words
"<!--".*"-->" | <!-- Comment --> | <-- Not Comment -->

The following chart displays each operator that can be used when pattern matching:

Operators | Description
a+ | One or more occurrences of a
a* | Zero or more occurences of a
a? | Zero or one (i.e. optional) occurence of a
a{n} | Exactly n occurences of a
a{n,} | n or more occurences of a
a{,m} | Zero or at most m occurences of a
a{n,m} | At least n but not more than m occurences of a
a|b | Either a or b
a||b | a or b or both a and b in any order
abc | a followed by b followed by c
[abc] | A single character, one of a or b or c
[a-b] | A single character, ranging in value from a to b inclusive
[^abc] | A single character, any except a, b or c
(abc) | a followed by b followed by c
"abc" | The letters a followed by b followed by c with no special significance attached to a, b or c
. | Any character except a newline
\a | The letter a, with no special significance attached to a, special forms:
\t | The tab character
\n | The newline character
\r | The return character
\f | The formfeed character
\b | The backspace character
\xNN | The hex character NN
\0ooo | The octal character ooo
\w | A single character, one of [a-zA-Z0-9_]
\W | Any single character not matching \w
\d | A single character [0-9]
\D | A single character not matching \d
\s | A whitespace character [\t\r\n\f\b\ ]
\S | A single character not matching \s

Excerpts of this document were taken from the TSMAx documentation, Copyright (c) 2000 dbRock Software.